#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "ppc.h"
#include "tm.h"
#include "CGInterface.h"


class Scene {
public:

	CGInterface * cgi;
	ShaderOneInterface *soi;

	GUI *gui;
	FrameBuffer *fb, *fb3, *hwfb, *gpufb;
	PPC *ppc, *ppc3;
	Scene();
	void DBG();
	void Render();
	void Render(PPC *currPPC, FrameBuffer *currfb);
	void RenderHW();
	void RenderGPU();
	TM *tms;
	int tmsN;
	V3 L; // point light source
	float kse;
	float ka;
	float mf; // morph fraction

};

extern Scene *scene;